
#ifndef _AI_MODULE_H
#define _AI_MODULE_H


class NPC2;
class AITeamMember;
class WorldEntity;


class AIModule {
 public:
   AIModule();
   virtual ~AIModule() {}

   virtual void process() {}
   virtual void process(float dt) {}

   void setDifficulty(int newDifficulty);
   void setOwner(AITeamMember* newOwner);


 protected:
   int difficulty;
	int myTeam;
	int mySwarm;

   AITeamMember* owner;
   NPC2* myNPC;
	WorldEntity* myWorldEnity;
};

#endif /* _AI_MODULE_H */
